de.esprit.netsuite.client.gui

## Class ClientTableModel<C extends ClientContext,T>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.esprit.common.gui.table.AbstractObjectTableModel<T>
    - - de.esprit.appsuite.gui.table.ApplicationTableModel<C,T>
      - - de.esprit.netsuite.client.gui.ClientTableModel<C,T>

- All Implemented Interfaces:
    ApplicationObject<C>, DataLoadEvent.Source, OrderChangeEvent.Source, Clearable, ClientObject<C>, java.io.Serializable, javax.swing.table.TableModel
  Direct Known Subclasses:
    ABOTableModel, BatchTaskTableModel, RemoteTaskTableModel

      public abstract class ClientTableModel<C extends ClientContext,T>
      extends ApplicationTableModel<C,T>
      implements ClientObject<C>

  This is a generic table model which manages a ClientContext object.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTableModel(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getClientContext()` Returns the the client runtime environment

    - ### Methods inherited from class de.esprit.appsuite.gui.table.ApplicationTableModel

      `getApplicationContext`

    - ### Methods inherited from class de.esprit.common.gui.table.AbstractObjectTableModel

      `addColumn, addColumn, addColumn, addColumn, addDataLoadListener, addObject, addObject, addObjects, addObjects, addOrderChangeListener, addRowData, addRowData, clear, clearRowData, containsObject, dropRow, dropRow, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, getAllObjects, getColumnCount, getColumnName, getComparator, getObject, getRowCount, getValueAt, getValueAt, indexOf, isEmpty, isNumb, isSortAscending, load, removeColumn, removeDataLoadListener, removeObject, removeObject, removeOrderChangeListener, removeRowData, replaceObject, setComparator, setNumb, setObject, setSortAscending, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientTableModel

          public ClientTableModel(C clientCtx)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.